<?php 
include_once('../../../php/sessionStart.php'); 
include_once('../../../php/db/dbExec.php');



# Para jalar mes y año de la variable que sea tipo fecha
$AnoFi = date("Y", strtotime($_SESSION['empFinie']));
$MesFi = date("m", strtotime($_SESSION['empFinie']));
$DiaFi = date("d", strtotime($_SESSION['empFinie']));
$AnoFc = date("Y", strtotime($_SESSION['empFciee']));
$MesFc = date("m", strtotime($_SESSION['empFciee']));
$DiaFc = date("d", strtotime($_SESSION['empFciee']));
$Fecini = (strval($AnoFi+1)."-".strval($MesFi)."-".strval($DiaFi));
$Fecfin = (strval($AnoFc+1)."-".strval($MesFc)."-".strval($DiaFc));

?>
<?php include_once('../includes/htmlOpen.php'); ?>
    <main class="main" style="">
      <?php 
        $li[0] = '<i class="fas fa-stream"></i>';
        $li[1] = $_GET["opcNom"];
        include_once('../../../php/includes/ol.php');
      ?>

      <div class="container-as">
        <div class="row">
          <div class="col">

            <ul class="nav nav-pills mb-1" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="pills-0-tab" data-toggle="pill" href="#pills-0" role="tab" aria-controls="pills-0" aria-selected="true">Hacer Cierre de Periodo</a>
              </li>
            </ul>

            <div class="tab-content bg-transparent border-0" id="pills-tabContent">
              <div class="tab-pane fade show active" id="pills-0" role="tabpanel" aria-labelledby="pills-0-tab">
              <!-- <div class="text-white"><?php echo $_SESSION["empNomc"]?></div>  para comentar -->
                <form action="" name="thisform" autocomplete="off" enctype="multipart/form-data">
                  <div class="form-group">

                    <div class="form-row align-items-end mt-2">
                      <div class="col-md-6">
                        <label for="dtFinie" class="font-size-lg">Nueva Fecha Inicio Periodo</label>
                        <input type="date" class="form-control form-control-sm form-control-as font-size-lg" id="dtFinie" placeholder="">
                      </div>
                    </div>
                    <div class="form-row align-items-end mt-2">
                      <div class="col-md-6">
                        <label for="dtFciee" class="font-size-lg">Nueva Fecha Final Periodo</label>
                        <input type="date" class="form-control form-control-sm form-control-as font-size-lg" id="dtFciee" placeholder="">
                      </div>
                    </div>

                  </div>

                  <div class="form-group">
                    <div class="form-row">
                      <div class="form-group col">
                        <button class="btn btn-success btn-lg btn-block" id="btnGuardar" type="button">Hacer Cierre del Periodo Y Generar Poliza de Apertura</button>
                      </div>
                    </div>
                  </div>

                </form>

              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
<?php include_once('../../../php/includes/htmlClose.php'); ?>

<script>
  var pressEnter = false;
  var nuevo = true;
  var inputdtFinie = "dtFinie";
  var inputdtFciee = "dtFciee";

  const dtFinie = document.thisform.dtFinie;
  const dtFciee = document.thisform.dtFciee;;
  

  function restriccion(consultar = false){
    if (!consultar) {
      if (isNullPer(dtFinie.value)) {
        dtFinie.focus();
        alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar la Fecha inicial"}});
        return true;
      }
    } else {
      if (isNullPer(dtFinie.value)) {
        return true;
      }
    }
    return false;
  }

  $(document).ready(function() {
    $(this).find('input:visible:first').focus();
    // Esta linea sirve para que el Sel se ubique de una vez en el valor que trae de $MesTrab
    dtFinie.focus();
    dtFinie.value = "<?php echo $Fecini; ?>";
    dtFciee.value = "<?php echo $Fecfin; ?>";

    // SUBMIT FORM
    $('form').submit(function() {
      return false;
    });
    
    // CLICK GUARDAR
    $("#btnGuardar").click(function (){
      if (restriccion()) {return};

      if ("<?php echo $_SESSION['empFtrab']?>"!="<?php echo $_SESSION['empFciee']?>") {
        alWarning({"msg":{"title":"Fechas Incorrectas","text":"La fecha de trabajo debe ser igual a la fecha de cierre del periodo, puede cambiarla en la opcion de CONTROL DE FECHAS que esta en la pestaña de OCASIONALES"}});
        return true;
      }

      const fnT = function(){
      const parametros = new FormData();

      parametros.append("action", "guardar");
      parametros.append("dtFinie", dtFinie.value);
      parametros.append("dtFciee", dtFciee.value);
      
      dtFinie.focus();
      
      $.ajax({
        data:  parametros,
        url:   window.location.origin+window.location.pathname+"actions.php",
        type:  "post",
        contentType: false,
        processData: false,
        beforeSend: function () {
          alLoad("Cargando...")
        },
        success: function (jsonPhp) {
          console.log(jsonPhp);
          
          const jsonJS = JSON.parse(jsonPhp);

          if(jsonJS.error==true){
            alError(jsonJS);
          } else {
            if (jsonJS.msgWarning.error) {
              alWarning(jsonJS.msgWarning);
            } else {
              alSuccessStop(jsonJS.msgWarning);
            }
          }
        }
      });
      
      }
      const fnF = function(){
        return true;
      }

      usuClave(fnT, fnF);
    });
  });

  // FOCUS PILL
  $('a[data-toggle="pill"]').on('shown.bs.tab', function (e) {
    if (!isMobile()) {
      const target = e.target.attributes.href.value;
      const relatedTarget = e.relatedTarget.attributes.href.value;

      if ((target == "#pills-0" && isNullPer(dtFinie.value)) || target != "#pills-0") {
        $(target+' input:visible:first').focus();
      }
    }
  });

</script>